Skip to main content
GET
/
organizations
/
{orgId}
/
balances
/
{balanceId}
/
transactions
/
summary
Get Balance Transactions Summary
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/balances/{balanceId}/transactions/summary \
  --header 'Authorization: Bearer <token>'
{
  "totalCreditAmount": 250,
  "totalDebitAmount": 125.5,
  "initialCreditAmount": 300,
  "expiredBalanceAmount": 50,
  "rolloverConsumed": 75,
  "balanceConsumed": 100
}

Documentation Index

Fetch the complete documentation index at: https://docs.m3ter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

orgId
string
required

UUID of the organization

balanceId
string
required

The UUID of the Balance

Response

Summary of all Balance Transactions

totalCreditAmount
number
Example:

250

totalDebitAmount
number
Example:

125.5

initialCreditAmount
number
Example:

300

expiredBalanceAmount
number

Amount of the balance that expired without being used

Example:

50

rolloverConsumed
number

Amount consumed from rollover credit

Example:

75

balanceConsumed
number

Amount consumed from the original balance

Example:

100